from functools import partial

from tornado.ioloop import IOLoop

from tfw.networking import TFWServer
from tfw.config import TFWENV
from tfw.config.logs import logging
from test_fsm import TestFSM

LOG = logging.getLogger(__name__)


if __name__ == '__main__':
    FiveStepTestFSM = partial(TestFSM, 5)
    TFWServer(FiveStepTestFSM).listen(TFWENV.WEB_PORT)

    IOLoop.instance().start()
